Query Symptoms
The list of Symptoms returned is a collection that supports pagination.
Page number from which data needs to be displayed (0-based)
Expected number of entries per page
Query object of the symptom
"{\n \"compositeOperator\" : \"AND\",\n \"symptomId\" : [ ],\n \"resource-query\" : {\n \"resourceId\" : [ \"5748438c-41d5-4397-a59b-efe973674653\" ],\n \"statKeyInclusive\" : true\n },\n \"includeChildrenResources\" : false,\n \"activeOnly\" : true,\n \"includeAlarmInfo\" : false,\n \"alarmType\" : [ ],\n \"alarmCriticality\" : [ \"CRITICAL\", \"IMMEDIATE\", \"WARNING\", \"INFORMATION\" ],\n \"symptomDefinitionId\" : [ ],\n \"statKey\" : [ ]\n}"
Include Symptoms that are currently Active.
By default, only active Symptoms are included in the result
Return Symptoms that have the specified list of Symptom Criticalities
Return Symptoms that have the specified list of Symptom Types
Filter based on matching UTC cancel time
Operations for Composite Conditions
Boolean that controls the retrieval of alarm information of the symptom
Whether to include Symptoms of all the children of resources identified by resourceIds
Object used to lookup resources with various filtering criteria
Filter based on matching UTC cancel time
Return Symptoms that have been generated because of violations on the Stat Keys specified
Return Symptoms that have the specified list of Symptom Definitions
Return Symptoms that have the specified list of Symptom identifiers
List of all Symptoms that match the given query
"{\n \"symptom\" : [ {\n \"id\" : \"31eeaeec-82d5-4037-a59b-efed2e7c8e3a\",\n \"resourceId\" : \"50000000-0000-0000-0000-000000000005\",\n \"startTimeUTC\" : 1753336526993,\n \"updateTimeUTC\" : 1753336526993,\n \"cancelTimeUTC\" : 0,\n \"kpi\" : false,\n \"symptomCriticality\" : \"INFORMATION\",\n \"symptomDefinitionId\" : \"SymptomDefinition-1\",\n \"message\" : \"symptom message\",\n \"faultDevices\" : [ ]\n }, {\n \"id\" : \"18589dea-9999-1234-abba-f1ee73004dac\",\n \"resourceId\" : \"50000000-0000-0000-0000-000000000005\",\n \"startTimeUTC\" : 1753336526993,\n \"updateTimeUTC\" : 1753336526993,\n \"cancelTimeUTC\" : 0,\n \"kpi\" : false,\n \"symptomCriticality\" : \"INFORMATION\",\n \"symptomDefinitionId\" : \"SymptomDefinition-1\",\n \"message\" : \"symptom message\",\n \"faultDevices\" : [ ]\n } ]\n}"
Collection of links
Represents page information for a paged result
List of Symptoms
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/symptoms/query